#
# spec file for package adcli
#
# Copyright (c) 2018 Chris Kowalczyk <ckowalczyk@suse.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           adcli
Version:        0.8.2
Release:        lp151.2.3.1
Summary:        Tool for performing actions on an Active Directory domain
License:        LGPL-2.0+
Group:          System/Libraries
URL:            http://cgit.freedesktop.org/realmd/adcli
Source0:        http://www.freedesktop.org/software/realmd/releases/%{name}-%{version}.tar.gz
Source1:        http://www.freedesktop.org/software/realmd/releases/%{name}-%{version}.tar.gz.sig
BuildRequires:  automake
BuildRequires:  libxslt-tools
BuildRequires:  openldap2-devel
BuildRequires:  xmlto
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  pkgconfig(mit-krb5)

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Patch1:         0001-Remove-upper-case-only-check-when-looking-for-the-Ne.patch
Patch2:         0002-Use-strdup-if-offsets-are-used.patch
Patch3:         0003-correct-spelling-of-adcli_tool_computer_delete-descr.patch
Patch4:         0004-doc-explain-that-all-credential-cache-types-are-supp.patch
Patch5:         0005-library-add-adcli_conn_is_writeable.patch
Patch6:         0006-Handle-kvno-increment-for-RODCs.patch
Patch7:         0007-library-add-_adcli_bin_sid_to_str.patch
Patch8:         0008-library-add-_adcli_call_external_program.patch
Patch9:         0009-library-add-_adcli_ldap_parse_sid.patch
Patch10:        0010-library-add-lookup_domain_sid.patch
Patch11:        0011-library-add-adcli_conn_get_domain_sid.patch
Patch12:        0012-Fix-memory-leak-in-test_check_nt_time_string_lifetim.patch
Patch13:        0013-Add-trusted-for-delegation-option.patch
Patch14:        0014-Only-update-attributes-given-on-the-command-line.patch
Patch15:        0015-update-allow-to-add-service-names.patch
Patch16:        0016-Calculate-enctypes-in-a-separate-function.patch
Patch17:        0017-join-add-all-attributes-while-creating-computer-obje.patch
Patch18:        0018-util-add-_adcli_strv_remove_unsorted.patch
Patch19:        0019-Add-add-service-principal-and-remove-service-princip.patch
Patch20:        0020-Do-not-add-service-principals-twice.patch
Patch21:        0021-Do-not-depend-on-default_realm-in-krb5.conf.patch
Patch22:        0022-adutil-add-_adcli_strv_add_unique.patch
Patch23:        0023-adenroll-use-_adcli_strv_add_unique-for-service-prin.patch
Patch24:        0024-Increment-kvno-after-password-change-with-user-creds.patch
Patch25:        0025-library-use-getaddrinfo-with-AI_CANONNAME-to-find-a-.patch

%description
Library of routines for joining a machine to Active Directory (without samba)
and managing machine accounts there. Will probably expand to cover other AD
related tasks as well.

%package doc
Summary:        Documentation for adcli
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description doc
Library of routines for joining a machine to Active Directory (without samba)
and managing machine accounts there. Will probably expand to cover other AD
related tasks as well.

This package contains the documentation for adcli.

%prep
%setup -q

%autopatch -p1

%build
%configure --disable-static \
           --disable-silent-rules
make %{?_smp_mflags}

%install
%makeinstall
#Remove zero-length file.
pushd %{buildroot}/%{_datadir}/doc/%{name}
rm adcli-docs.proc
popd

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sbindir}/%{name}
%{_mandir}/man8/adcli.8%{?ext_man}

%files doc
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}

%changelog
* Thu Nov 21 2019 Samuel Cabrero <scabrero@suse.de>
- The userPrincipalName attribute was not added to the created
  machine (bsc#1157491)
- The host FQDN was not properly detected (bsc#1157491)
- Added patches:
  * 0001-Remove-upper-case-only-check-when-looking-for-the-Ne.patch
  * 0002-Use-strdup-if-offsets-are-used.patch
  * 0003-correct-spelling-of-adcli_tool_computer_delete-descr.patch
  * 0004-doc-explain-that-all-credential-cache-types-are-supp.patch
  * 0005-library-add-adcli_conn_is_writeable.patch
  * 0006-Handle-kvno-increment-for-RODCs.patch
  * 0007-library-add-_adcli_bin_sid_to_str.patch
  * 0008-library-add-_adcli_call_external_program.patch
  * 0009-library-add-_adcli_ldap_parse_sid.patch
  * 0010-library-add-lookup_domain_sid.patch
  * 0011-library-add-adcli_conn_get_domain_sid.patch
  * 0012-Fix-memory-leak-in-test_check_nt_time_string_lifetim.patch
  * 0013-Add-trusted-for-delegation-option.patch
  * 0014-Only-update-attributes-given-on-the-command-line.patch
  * 0015-update-allow-to-add-service-names.patch
  * 0016-Calculate-enctypes-in-a-separate-function.patch
  * 0017-join-add-all-attributes-while-creating-computer-obje.patch
  * 0018-util-add-_adcli_strv_remove_unsorted.patch
  * 0019-Add-add-service-principal-and-remove-service-princip.patch
  * 0020-Do-not-add-service-principals-twice.patch
  * 0021-Do-not-depend-on-default_realm-in-krb5.conf.patch
  * 0022-adutil-add-_adcli_strv_add_unique.patch
  * 0023-adenroll-use-_adcli_strv_add_unique-for-service-prin.patch
  * 0024-Increment-kvno-after-password-change-with-user-creds.patch
  * 0025-library-use-getaddrinfo-with-AI_CANONNAME-to-find-a-.patch
* Fri Sep 21 2018 ckowalczyk@suse.com
- Initial build (fate#326619, bsc#1109849)
